(command "UNDEFINE" "EXPLODE")
undefine the Explode command

(command "UNDEFINE" "LINE")
undefine the Line command

(defun C:EXPLODE ( / lst1 en typ)

   (setq lst1 (list "DRGINF" "DRGTITLE2"))
   ;list of block names that must NOT be exploded

   ;If you wish to add additional block names, and want an easy way to
   ;figure out which ones you screened for each release, use this line with
   ;your block names.
   ;(setq lst1 (append lst1 (list "DRGTITLE2" "DRGTITLE3" "DRGTITLE4")))

   (setq en (car (entsel "\n Select block reference, polyline, dimension, or mesh: ")))
   ;gets the block and mimics the explode prompt
 
   (setq typ (entget en))
   ;get the entity data

   (setq typ (cdr (assoc 2 typ)))
   ;get the block name

   (if (member typ lst1)
       ;if the selected block name is a member of our list

         (alert "\nThis Block Cannot be Exploded.\n    Refer to System Manager")
         ;inform the user
      
         ;if it is not
         (progn
         ;do the following

         (command ^c^c) 
         ;cancel any commands

         (command ".EXPLODE" en)
         ;explode the block

      );progn

   )
   ;if

(princ)
;finish clean

);defun

(defun C:LINE ()
    (autosave)
    (command ".LINE")
  (princ)
);defun

(defun AUTOSAVE ( / T1 ECC)
      (setq ECC (getvar "CMDECHO"))
      (setvar "CMDECHO" 0)
      (if (not T3) (setq T3 (getvar "TDUSRTIMER")))
      (if (not T2) (setq T2 (getreal "\nHow many minute between Saves ??: ")))
      (setq T1 (getvar "TDUSRTIMER"))
      (if (> (- T1 T3) (/ T2 60.0 24.0))
      (progn
            (prompt "\nAutoSaving Drawing..Please Wait...... ")
            (command "QSAVE")
            (setq T3 (getvar "TDUSRTIMER"))
      );progn
      );if
      (setvar "CMDECHO" ECC)
   (princ)
);defun 


(princ)
;load clean
